@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface LanguageEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
LanguageEndpointBuilderFactory.AdvancedLanguageEndpointBuilder
Advanced builder for endpoint for the Language component.
|
static interface |
LanguageEndpointBuilderFactory.LanguageBuilders |
static interface |
LanguageEndpointBuilderFactory.LanguageEndpointBuilder
Builder for endpoint for the Language component.
|
| Modifier and Type | Method and Description |
|---|---|
static LanguageEndpointBuilderFactory.LanguageEndpointBuilder |
language(String path)
Language (camel-language)
The language component allows you to send a message to an endpoint which
executes a script by any of the supported Languages in Camel.
|
static LanguageEndpointBuilderFactory.LanguageEndpointBuilder language(String path)
language:languageName:resourceUri
Path parameter: languageName (required)
Sets the name of the language to use
The value can be one of: bean, constant, exchangeProperty, file, groovy,
header, javascript, jsonpath, mvel, ognl, , ref, simple, spel, sql,
terser, tokenize, xpath, xquery, xtokenize
Path parameter: resourceUri
Path to the resource, or a reference to lookup a bean in the Registry to
use as the resourceApache Camel